package com.steering.mes.mcp.entity;

import java.io.Serializable;

/**
 * 投入产出物料描述实体类
 * @author siy 2015/05/21
 * @version v1.0
 */
public class McpPlanIO implements Serializable {
    /** Version UID */
    private static final long serialVersionUID = 1L;
    /** 计划编号 */
    private String planNo;
    /** 投入产出类型 */
    private int ioType;
    /** 物料编码 */
    private String materialCode;
    /** 物料描述 */
    private String materialName;
    /** 标准 */
    private String standard;
    /** 支 */
    private int pieces;
    /** 吨 */
    private double weight;
    /** 长度下限 */
    private double lengthMin;
    /** 长度上限 */
    private double lengthMax;

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public int getIoType() {
        return ioType;
    }

    public void setIoType(int ioType) {
        this.ioType = ioType;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public int getPieces() {
        return pieces;
    }

    public void setPieces(int pieces) {
        this.pieces = pieces;
    }

    public double getWeight() {
        return weight;
    }

    public void setWeight(double weight) {
        this.weight = weight;
    }

    public double getLengthMin() {
        return lengthMin;
    }

    public void setLengthMin(double lengthMin) {
        this.lengthMin = lengthMin;
    }

    public double getLengthMax() {
        return lengthMax;
    }

    public void setLengthMax(double lengthMax) {
        this.lengthMax = lengthMax;
    }
}
